<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".view.fragment.ExceptionHandleFragment">

    <com.grkj.iscs_mc.view.widget.TitleBar
        android:id="@+id/tb"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:bar_icon="@mipmap/exception"
        app:bar_title="@string/exception_handle" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/rl_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true">

        <com.grkj.iscs_mc.view.widget.CommonBtn
            android:id="@+id/cb_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:btn_bg="@drawable/common_btn_blue_bg"
            app:btn_name="@string/close"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.grkj.iscs_mc.view.widget.CommonBtn
            android:id="@+id/cb_open"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/common_spacing"
            app:btn_bg="@drawable/common_btn_red_bg"
            app:btn_name="@string/open_cabinet"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toLeftOf="@id/cb_close" />

        <com.grkj.iscs_mc.view.widget.CommonBtn
            android:id="@+id/cb_report"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:btn_bg="@drawable/common_btn_red_bg"
            app:btn_name="@string/exception_report"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent" />

        <ImageView
            android:id="@+id/iv_icon"
            android:layout_width="@dimen/common_icon_size_big"
            android:layout_height="@dimen/common_icon_size_big"
            android:layout_marginVertical="2dp"
            android:layout_marginLeft="@dimen/common_spacing"
            android:background="@mipmap/settings"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toRightOf="@id/cb_report"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            style="@style/CommonTextView"
            android:layout_marginLeft="@dimen/common_spacing_small"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toRightOf="@id/iv_icon"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/rl_bar"
        android:layout_below="@id/tb"
        android:layout_marginVertical="@dimen/common_spacing"
        android:background="@drawable/item_rv_technology_sop_bg_normal"
        android:padding="@dimen/common_spacing_small">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_exception"
            style="@style/CommonRecyclerView" />
    </RelativeLayout>
</RelativeLayout>